Subject: Re: The Plan

From: "Mark A. Greer" <[email-masked]>
Date: Wed, 07 Nov 2001 10:44:22 -0700

Paul Mackerras wrote:

> This is what I am thinking of; I have implemented it locally here and
> I'm doing test compiles with arch/ppc/configs/*.
>
> - arch/ppc/kernel/ppc_asm.h moves to include/asm-ppc, and the contents
>   of ppc_asm.tmpl get folded into it, with corresponding changes to
>   arch/ppc/*/*.S.
>
> - Files which relate only to one platform, or a small number of
>   platforms, move to arch/ppc/platforms.  (There are some minor
>   exceptions to this rule which we can discuss if people are
>   concerned.)  We end up with:

I like this too.  Seems like a good compromise between one dir with a
bunch of files and a bunch of dirs each with a couple files.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/